Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707772 - games-board/gnugo-3.9.1-r2 : fails to build with -fno-common or gcc-10
Summary: games-board/gnugo-3.9.1-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-01 15:03 UTC by Toralf Förster
Modified: 2020-06-23 12:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.76 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,333.69 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details
environment (environment,16.83 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.06 KB, application/x-bzip)
2020-02-01 15:03 UTC, Toralf Förster
Details
games-board:gnugo-3.9.1-r2:20200201-131704.log (games-board:gnugo-3.9.1-r2:20200201-131704.log,47.51 KB, text/plain)
2020-02-01 15:03 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.42 KB, application/x-bzip)
2020-02-01 15:03 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,9.82 KB, application/x-bzip)
2020-02-01 15:03 UTC, Toralf Förster
Details
Moving offending tentative declaration from header to globals (gnugo-fnocommon.patch,860 bytes, patch)
2020-05-17 10:08 UTC, Tomasz Mloduchowski
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-01 15:03:09 UTC
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~
../utils/winsocket.h:39:5: warning: this use of "defined" may not be portable [-Wexpansion-to-defined]
../utils/winsocket.h:39:5: warning: this use of "defined" may not be portable [-Wexpansion-to-defined]
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o mkpat mkpat.o transform.o dfa.o ../utils/libutils.a -lreadline -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: transform.o:(.bss+0x15640): multiple definition of `meaningless_white_moves'; mkpat.o:(.bss+0x20): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: transform.o:(.bss+0x15c80): multiple definition of `meaningless_black_moves'; mkpat.o:(.bss+0x660): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 01 Feb 2020 12:27:55 +0000

emerge -qpvO games-board/gnugo
[ebuild  N    ] games-board/gnugo-3.9.1-r2  USE="readline"
Comment 1 Toralf Förster gentoo-dev 2020-02-01 15:03:12 UTC
Created attachment 610450 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-01 15:03:14 UTC
Created attachment 610452 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-01 15:03:17 UTC
Created attachment 610454 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-01 15:03:21 UTC
Created attachment 610456 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-01 15:03:26 UTC
Created attachment 610458 [details]
games-board:gnugo-3.9.1-r2:20200201-131704.log
Comment 6 Toralf Förster gentoo-dev 2020-02-01 15:03:29 UTC
Created attachment 610460 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-01 15:03:32 UTC
Created attachment 610462 [details]
temp.tbz2
Comment 8 Tomasz Mloduchowski 2020-05-17 10:08:12 UTC
Created attachment 639798 [details, diff]
Moving offending tentative declaration from header to globals

I hope to have signed it off correctly. Haven't contributed to Gentoo in over a decade!
Comment 9 Markus Giese 2020-06-23 11:15:06 UTC
same issue here, compiles with gcc-9.2.0, not with gcc-10.1
Comment 10 Larry the Git Cow gentoo-dev 2020-06-23 12:11:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7b1d2abcfa7bf07b7d1271731029aeec7e753f7

commit a7b1d2abcfa7bf07b7d1271731029aeec7e753f7
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-06-23 12:11:14 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-06-23 12:11:14 +0000

    games-board/gnugo: Fix building against GCC 10
    
    Closes: https://bugs.gentoo.org/707772
    Package-Manager: Portage-2.3.101, Repoman-2.3.22
    Suggested-by: Tom Mloduchowski <q@qdot.me>
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../gnugo/files/gnugo-3.9.1-fno-common.patch       | 25 ++++++++++++++++++++++
 games-board/gnugo/gnugo-3.9.1-r2.ebuild            |  1 +
 2 files changed, 26 insertions(+)